package sun.management.snmp.jvmmib;

import javax.management.MBeanServer;
import com.sun.jmx.snmp.agent.SnmpMibTable;
import com.sun.jmx.snmp.agent.SnmpMibSubRequest;
import com.sun.jmx.snmp.SnmpStatusException;
import com.sun.jmx.snmp.SnmpString;
import com.sun.jmx.snmp.SnmpCounter64;
import com.sun.jmx.snmp.SnmpInt;
import com.sun.jmx.snmp.SnmpValue;
import com.sun.jmx.snmp.agent.SnmpMib;
import com.sun.jmx.snmp.agent.SnmpStandardObjectServer;
import com.sun.jmx.snmp.agent.SnmpStandardMetaServer;
import java.io.Serializable;
import com.sun.jmx.snmp.agent.SnmpMibGroup;

public class JvmCompilationMeta extends SnmpMibGroup implements Serializable, SnmpStandardMetaServer
{
    static final long serialVersionUID = -95492874115033638L;
    protected JvmCompilationMBean node;
    protected SnmpStandardObjectServer objectserver;
    
    public JvmCompilationMeta(SnmpMib snmpMib, SnmpStandardObjectServer objectserver) {
        this.objectserver = null;
        this.objectserver = objectserver;
        try {
            this.registerObject(3L);
            this.registerObject(2L);
            this.registerObject(1L);
        }
        catch (IllegalAccessException ex) {
            throw new RuntimeException(ex.getMessage());
        }
    }
    
    public SnmpValue get(long n, Object o) throws SnmpStatusException {
        switch ((int)n) {
            case 3: {
                return new SnmpInt(this.node.getJvmJITCompilerTimeMonitoring());
            }
            case 2: {
                return new SnmpCounter64(this.node.getJvmJITCompilerTimeMs());
            }
            case 1: {
                return new SnmpString(this.node.getJvmJITCompilerName());
            }
            default: {
                throw new SnmpStatusException(225);
            }
        }
    }
    
    public SnmpValue set(SnmpValue snmpValue, long n, Object o) throws SnmpStatusException {
        switch ((int)n) {
            case 3: {
                throw new SnmpStatusException(17);
            }
            case 2: {
                throw new SnmpStatusException(17);
            }
            case 1: {
                throw new SnmpStatusException(17);
            }
            default: {
                throw new SnmpStatusException(17);
            }
        }
    }
    
    public void check(SnmpValue snmpValue, long n, Object o) throws SnmpStatusException {
        switch ((int)n) {
            case 3: {
                throw new SnmpStatusException(17);
            }
            case 2: {
                throw new SnmpStatusException(17);
            }
            case 1: {
                throw new SnmpStatusException(17);
            }
            default: {
                throw new SnmpStatusException(17);
            }
        }
    }
    
    protected void setInstance(JvmCompilationMBean node) {
        this.node = node;
    }
    
    public void get(SnmpMibSubRequest snmpMibSubRequest, int n) throws SnmpStatusException {
        this.objectserver.get(this, snmpMibSubRequest, n);
    }
    
    public void set(SnmpMibSubRequest snmpMibSubRequest, int n) throws SnmpStatusException {
        this.objectserver.set(this, snmpMibSubRequest, n);
    }
    
    public void check(SnmpMibSubRequest snmpMibSubRequest, int n) throws SnmpStatusException {
        this.objectserver.check(this, snmpMibSubRequest, n);
    }
    
    public boolean isVariable(long n) {
        switch ((int)n) {
            case 1:
            case 2:
            case 3: {
                return true;
            }
            default: {
                return false;
            }
        }
    }
    
    public boolean isReadable(long n) {
        switch ((int)n) {
            case 1:
            case 2:
            case 3: {
                return true;
            }
            default: {
                return false;
            }
        }
    }
    
    public boolean skipVariable(long n, Object o, int n2) {
        switch ((int)n) {
            case 2: {
                if (n2 == 0) {
                    return true;
                }
                break;
            }
        }
        return super.skipVariable(n, o, n2);
    }
    
    public String getAttributeName(long n) throws SnmpStatusException {
        switch ((int)n) {
            case 3: {
                return "JvmJITCompilerTimeMonitoring";
            }
            case 2: {
                return "JvmJITCompilerTimeMs";
            }
            case 1: {
                return "JvmJITCompilerName";
            }
            default: {
                throw new SnmpStatusException(225);
            }
        }
    }
    
    public boolean isTable(long n) {
        int n2 = (int)n;
        return false;
    }
    
    public SnmpMibTable getTable(long n) {
        return null;
    }
    
    public void registerTableNodes(SnmpMib snmpMib, MBeanServer mBeanServer) {
    }
}
